/* globals module */
module.exports = {
  afterInstall: function() {
    var _this = this;
    var imports = '  app.import(\'vendor/font-icon.css\');\n' +
      '  app.import(\'vendor/fonts/icons.eot\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/icons.otf\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/icons.svg\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/icons.ttf\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/icons.woff\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/icons.woff2\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/crim.eot\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/crim.svg\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/crim.ttf\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/crim.woff\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/crim.woff2\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/outline-icons.eot\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/outline-icons.svg\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/outline-icons.ttf\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/outline-icons.woff\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/fonts/outline-icons.woff2\', { destDir: \'assets/fonts\' });\n' +
      '  app.import(\'vendor/serviceImages/close.png\', { destDir: \'assets/themes/blue-sky/assets/images\' });\n' +
      '  app.import(\'vendor/serviceImages/close-hover.png\', { destDir: \'assets/themes/blue-sky/assets/images\' });\n' +
      '  app.import(\'vendor/serviceImages/header-bgw.png\', { destDir: \'assets/themes/orange/assets/images\' });\n' +
      '  app.import(\'vendor/serviceImages/bgw-head-calendar.png\', { destDir: \'assets/themes/orange/assets/images\' });\n';
    var options = '    lessOptions: {\n' +
      '      paths: [\n' +
      '        \'bower_components/semantic-ui\',\n' +
      '        \'node_modules/ember-flexberry-themes\'\n' +
      '      ]\n' +
      '    },\n' +
      '    postcssOptions: {\n' +
      '      compile: {\n' +
      '        enabled: false,\n' +
      '        browsers: [\'last 3 versions\'],\n' +
      '      },\n' +
      '      filter: {\n' +
      '        enabled: true,\n' +
      '        plugins: [\n' +
      '          {\n' +
      '            module: autoprefixer,\n' +
      '            options: {\n' +
      '              browsers: [\'last 2 versions\']\n' +
      '            }\n' +
      '          }\n' +
      '        ]\n' +
      '      }\n' +
      '    }\n';

    var appEnvironment = 'config/environment.js';
    var addonEnvironment = 'tests/dummy/config/environment.js';

    var env1after = 'module.exports = function(environment) {\n';
    var env1 = '  // Replace this local address to remote when backed will be published.\n' +
      '  var backendUrl = \'http://localhost:80\';\n\n' +
      '  if (environment === \'development-loc\') {\n' +
      '    // Use `ember s -e development-loc` command for local backend usage.\n' +
      '    backendUrl = \'http://localhost:80\';\n' +
      '  }\n\n';

    var env2after = 'EmberENV: {\n';
    var env2 = '      LOG_STACKTRACE_ON_DEPRECATION: false,\n';

    var env3after = 'APP: {\n';
    var env3 ='      // Application name. Used in `user-settings` service.\n' +
      '      name: \'ember-app\',\n\n' +
      '      backendUrl: backendUrl,\n\n' +
      '      // It\'s a custom property, used to prevent duplicate backend urls in sources.\n' +
      '      backendUrls: {\n' +
      '        root: backendUrl,\n' +
      '        api: backendUrl + \'/odata\'\n' +
      '      },\n\n' +
      '      // Log service settings.\n' +
      '      log: {\n' +
      '        // Flag: indicates whether log service is enabled or not.\n' +
      '        enabled: true,\n\n' +
      '        // Flag: indicates whether to store error messages or not.\n' +
      '        storeErrorMessages: true,\n' +
      '        storeWarnMessages: false,\n' +
      '        storeLogMessages: true,\n' +
      '        storeInfoMessages: false,\n' +
      '        storeDebugMessages: false,\n' +
      '        storeDeprecationMessages: false,\n' +
      '        storePromiseErrors: true,\n' +
      '        showPromiseErrors: true,\n' +
      '        errorMessageFilterActive: false,\n' +
      '      },\n\n' +
      '      // Options for Perforator service that can be used to calculate performance of components rendering.\n' +
      '      perf: {\n' +
      '        enabled: false,\n' +
      '      },\n\n' +
      '      // Lock settings.\n' +
      '     lock: {\n' +
      '        enabled: true,\n' +
      '        openReadOnly: true,\n' +
      '        unlockObject: true,\n' +
      '      },\n\n' +
      '      // Flag: indicates whether to use user settings service or not.\n' +
      '      useUserSettingsService: true,\n\n' +
      '      // Flag: indicates whether to use adv limit service or not.\n' +
      '      useAdvLimitService: true,\n\n' +
      '      // Custom property with offline mode settings.\n' +
      '      offline: {\n' +
      '        // Flag that indicates whether offline mode in application is enabled or not.\n' +
      '        offlineEnabled: true,\n\n' +
      '        // Flag that indicates whether to switch to offline mode when got online connection errors or not.\n' +
      '        modeSwitchOnErrorsEnabled: false,\n\n' +
      '        // Flag that indicates whether to sync down all work with records when online or not.\n' +
      '        // This let user to continue work without online connection.\n' +
      '        syncDownWhenOnlineEnabled: false,\n' +
      '      },\n\n' +
      '      // Custom property with components settings.\n' +
      '      components: {\n' +
      '        // Settings for `flexberry-file` component.\n' +
      '        flexberryFile: {\n' +
      '          // URL of file upload controller.\n' +
      '          uploadUrl: backendUrl + \'/api/File\',\n\n' +
      '          // Max file size in bytes for uploading files.\n' +
      '          maxUploadFileSize: null,\n\n' +
      '          // Flag: indicates whether to upload file on controllers modelPreSave event.\n' +
      '          uploadOnModelPreSave: true,\n\n' +
      '          // Flag: indicates whether to show upload button or not.\n' +
      '          showUploadButton: true,\n\n' +
      '          // Flag: indicates whether to show modal dialog on upload errors or not.\n' +
      '          showModalDialogOnUploadError: true,\n\n' +
      '          // Flag: indicates whether to show modal dialog on download errors or not.\n' +
      '          showModalDialogOnDownloadError: true,\n' +
      '        },\n' +
      '        // Settings for `flexberryObjectlistview` component.\n' +
      '        flexberryObjectlistview: {\n' +
      '          // Default number of records on the list page.\n'+
      '          defaultPerPage: 5,\n' +
      '          // Flag indicates whether to use side page or usual mode.\n' +
      '          useSidePageMode: true,\n' +
      '        },\n'+
      '        // Settings for flexberry-lookup component.\n'+
      '        flexberryLookup: {\n'+
      '          // Flag: indicates whether to use side page or usual mode.\n'+
      '          useSidePageMode: true,\n'+
      '        },\n'+
      '        flexberryGroupedit: {\n'+
      '          // Flag: indicates whether to use side page or usual mode.\n'+
      '          useSidePageMode: true,\n'+
      '        },\n'+
      '        flexberrySimpledatetime: {\n'+
      '          // The selector to get the element (using `jQuery`) for the `appendTo` flatpickr option, see https://flatpickr.js.org/options/.\n'+
      '          calendarContext: undefined,\n'+
      '        }\n'+
      '      },\n';

    var env4before = '\n  if (environment === \'development\') {\n';
    var env4 ='\n  // Read more about CSP:\n' +
      '  // http://www.ember-cli.com/#content-security-policy\n' +
      '  // https://github.com/rwjblue/ember-cli-content-security-policy\n' +
      '  // http://content-security-policy.com\n' +
      '  ENV.contentSecurityPolicy = {\n' +
      '    \'style-src\': "\'self\' \'unsafe-inline\' https://fonts.googleapis.com",\n' +
      '    \'font-src\': "\'self\' data: https://fonts.gstatic.com",\n' +
      '    \'connect-src\': "\'self\' " + ENV.APP.backendUrls.root\n' +
      '  };\n\n' +
      '  // Read more about ember-i18n: https://github.com/jamesarosen/ember-i18n.\n' +
      '  ENV.i18n = {\n' +
      '    // Should be defined to avoid ember-i18n deprecations.\n' +
      '    // Locale will be changed then to navigator current locale (in instance initializer).\n' +
      '    defaultLocale: null\n' +
      '  };\n\n' +
      '  // Read more about ember-moment: https://github.com/stefanpenner/ember-moment.\n' +
      '  // Locale will be changed then to same as ember-i18n locale (and will be changed every time when i18n locale changes).\n' +
      '  ENV.moment = {\n' +
      '    outputFormat: \'L\'\n' +
      '  };\n';

      var resolutions = '  "resolutions": {\n' +
        '    "ember-get-config": "0.3.0"\n' +
        '  },';

    /*
      Following packages should be installed as dependencies of `ember-flexberry-data`:
      `ember-browserify`, `dexie`.
	  Also `app/browserify.js` should be removed when check this.
    */

    return this.insertIntoFile(
      'ember-cli-build.js',
      imports,
      {
        before: '\n  return app.toTree();\n'
      }
    ).then(function() {
      return _this.insertIntoFile('ember-cli-build.js', '\nconst autoprefixer = require(\'autoprefixer\');\n\n', { before: 'module.exports = function' });
    }).then(function() {
      return _this.insertIntoFile(
        'ember-cli-build.js',
        options,
        {
          after: 'let app = new EmberApp(defaults, {\n'
        }
      );
    }).then(function() {
      return _this.insertIntoFile(
        'ember-cli-build.js',
        options,
        {
          after: 'let app = new EmberAddon(defaults, {\n'
        }
      );
    }).then(function() {
      return _this.insertIntoFile(
        'app/index.html',
        '    <link rel="icon" href="/assets/images/favicon.ico">\n',
        {
          after: '<link rel="stylesheet" href="assets/ember-app.css">\n'
        }
      );
    }).then(function() {
      return _this.insertIntoFile(
        'tests/dummy/app/index.html',
        '    <link rel="icon" href="/assets/images/favicon.ico">\n',
        {
          after: '<link rel="stylesheet" href="assets/dummy.css">\n'
        }
      );
    }).then(function() {
      return _this.insertIntoFile(
        'package.json',
        resolutions,
        {
          before: '  "engines": {'
        }
      );
    }).then(function() {
      return _this.insertIntoFile(appEnvironment, env1, { after: env1after });
    }).then(function() {
      return _this.insertIntoFile(addonEnvironment, env1, { after: env1after });
    }).then(function() {
      return _this.insertIntoFile(appEnvironment, env2, { after: env2after });
    }).then(function() {
      return _this.insertIntoFile(addonEnvironment, env2, { after: env2after });
    }).then(function() {
      return _this.insertIntoFile(appEnvironment, env3, { after: env3after });
    }).then(function() {
      return _this.insertIntoFile(addonEnvironment, env3, { after: env3after });
    }).then(function() {
      return _this.insertIntoFile(appEnvironment, env4, { before: env4before });
    }).then(function() {
      return _this.insertIntoFile(addonEnvironment, env4, { before: env4before });
    }).then(function() {
      return _this.addBowerPackagesToProject([
        { name: 'devicejs', target: '0.2.7' },
        { name: 'blueimp-file-upload', target: '9.11.2' },
        { name: 'semantic-ui', target: '2.4.1' },
        { name: 'seiyria-bootstrap-slider', target: '6.0.6' },
        { name: 'jquery-minicolors', target: '2.3.4' },
        { name: 'js-beautify', target: '1.6.4' },
        { name: 'moment', target: '~2.22.0' }
      ]);
    }).then(function() {
      return _this.addAddonsToProject({
        packages: [
          { name: 'ember-browserify', target: '1.2.2' },
          { name: 'ember-cli-less', target: '^1.5.4' },
          { name: 'ember-cp-validations', target: '^3.5.6' },
          { name: 'ember-i18n-cp-validations', target: '^3.1.0' },
          { name: 'ember-link-action', target: '0.0.36' },
          { name: 'ember-moment', target: '7.7.0' },
          { name: 'ember-test-selectors', target: '2.1.0' }
        ]
      });
    }).then(function () {
      return _this.addPackagesToProject([
        { name: 'dexie', target: '^2.0.2' },
        { name: 'inflection', target: '^1.12.0' },
        { name: 'node-uuid', target: '^1.4.7' },
        { name: 'flatpickr', target: '4.6.1' },
        { name: 'autoprefixer', target: '^6' },
        { name: 'ember-flexberry-themes', target: '0.1.0-beta.20' }
      ]);
    }).then(function () {
      return _this.removePackageFromProject('ember-data');
    }).then(function () {
      return _this.addAddonsToProject({
        packages: [
          { name: 'ember-data', target: '~3.1.1' },
          { name: 'ember-block-slots', target: '1.1.11' }
        ]
      });
    });
  },

  normalizeEntityName: function() {}
};
